using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Buttons : MonoBehaviour
{
    [SerializeField] GameObject levelManager;
    [SerializeField] GameObject audioManager;
    public void Unpause()
    {
        levelManager.GetComponent<LevelManager>().GameIsPlaying();
        audioManager.GetComponent<AudioManager>().PlaySound(AudioManager.SoundType.BUTTONPRESS);
    }

    public void BeginGame()
    {
        SceneManager.LoadScene("Level");
        audioManager.GetComponent<AudioManager>().PlaySound(AudioManager.SoundType.BUTTONPRESS);
    }

    public void MainMenu()
    {
        SceneManager.LoadScene("MainMenu");
        audioManager.GetComponent<AudioManager>().PlaySound(AudioManager.SoundType.BUTTONPRESS);
    }
    public void QuitGame()
    {
#if UNITY_EDITOR
        UnityEditor.EditorApplication.isPlaying = false;
#endif
        Application.Quit();
    }
}
